Cordova 2.7 - iOS Plugin SQLite exec deprecated

Hello Phonegap Experts,

We have updated our iOS app to Cordova 2.7. Now we get an error message when using the "PhoneGap iOS SQLitePlugin (brodyspark / latest version)".

The old format of this exec call has been removed (deprecated since 2.1). Change to:

cordova.exec (null, null, "SQLitePlugin," open ", [{" name ":" dbname "," callback ":" cb1 "}]);

We have tried to fix the error. But had no success. Does anyone have an answer what we should do?

Best regards

Answers


I started today porting PhoneGap-SQLitePlugin-iOS to the latest Cordova API: https://github.com/j3k0/PhoneGap-SQLitePlugin-iOS

It does not support batch execution (transactions) yet, only db.executeSQL requests.


Need Your Help

wordpress loop with jquery .load()

wordpress jquery load wordpress-loop

I have a tabbed sidebar widget for showing my "popular articles , recent articles"

Cloning objects in Scheme

object racket cloning

I was trying to clone an object in Scheme, something like